@use "../../globals.scss";

body {
  position: relative;
  margin: 0;
  color: var(--text-primary-color);
  // margin-bottom: 3em;

  height: 100vh;
  width: 100vw;

  display: grid;
  grid-template-areas: "header" "filter" "results";
  grid-template-rows: max-content max-content 1fr;
}

body > .overlay {
  top: 0;
  z-index: 30;
  position: fixed;
  width: 100%;
  height: 100%;
}

body > .header {
  grid-area: header;

  @include globals.page-header;
  & > .other > .select {
    // width: 20em;
    padding: 0.1em 1em;
    text-align: center;
  }
}

body > .filter {
  grid-area: filter;
  z-index: 10;
  position: relative;
  display: flex;
  flex-wrap: wrap;
  padding: 0.5em 1em;
  column-gap: 1em;
  align-items: center;
  justify-content: space-between;

  & > .row_break {
    height: 0.5em;
    flex-basis: 100%;
  }

  & > .search_input {
    flex-grow: 1;
    align-self: stretch;
    border: 1px solid var(--border-secondary-color);
    border-radius: var(--border-radius);
    padding: 0.05em 0.5em;
  }
  & > .search_button {
    padding-left: 1em;
    padding-right: 1em;
  }
  & > .type_filter {
    display: flex;
    align-items: center;
    & > .title {
      display: none;
      font-size: 110%;
      margin-right: 0.5em;
    }
    & > .container {
      font-size: 95%;
      border: 1px solid var(--border-secondary-color);
      border-radius: var(--border-radius);
      display: flex;
      padding: 0.1em 0.3em;
      gap: 0.5em;

      & > .item {
        padding: 0 1em;
        margin: 0.1em;
        text-transform: capitalize;
      }
    }
  }
  & > .clear_sort {
    padding-left: 1em;
    padding-right: 1em;
  }
}

body > .results {
  grid-area: results;
  position: relative;
  overflow: hidden;
  padding: 0.2em 0.5em;

  & > .table {
    height: 100%;
    .cell[_name=type] { flex-basis: 6em; text-transform: capitalize; }
    .cell[_name=label] { flex-basis: 23em; flex-grow: 1; }
    .cell[_name=nosessions] { flex-basis: 9em; }
    .cell[_name=timestamp] { flex-basis: 14em; }
    .body > .row {
      @include globals.button-like;
      .cell {
        text-decoration: unset;
        color: unset;
      }
    }
  }
}
